/* ---------------------------------------------- 
   Directionality toolbar Buttons
   ---------------------------------------------- */
#rtl-button .active span,
#ltr-button .active span
{
    color:white;
}
#rtl-button  span,
#ltr-button  span
{
    font-size:1.2em;
    padding :0!important;    
    font-weight:bolder;
    
}
#rtl-button  span.icon,
#ltr-button  span.icon {
    display :none;
}
#ltr-button  {
   transform:scaleX(-1);
}
.directionality {
   padding:0!important;
}

/* ---------------------------------------------- 
 Page title
 ---------------------------------------------- */
#title-text, #content-title  {
   text-align :center;
}

/* ---------------------------------------------- 
 Macros RTL
 ---------------------------------------------- */
 p.hidden-dir-p
{
    visibility: hidden;
}
 p.hidden-dir-p br
{
    display: none;
}

 /* Directionality */
p.hidden-dir-p[style*="direction:rtl"] + *[data-macro-name],
p.hidden-dir-p[style*="direction: rtl"] + *[data-macro-name]  

{  
  direction :rtl;  
}  

/* Alignment */
p.hidden-dir-p[style*="text-align:right"] + *[data-macro-name],
p.hidden-dir-p[style*="text-align: right"] + *[data-macro-name]  

{  
  text-align:right;  
}  

/* Icons within macros */
p.hidden-dir-p[style*="direction:rtl"] + *[data-macro-name] .expand-icon,
p.hidden-dir-p[style*="direction:rtl"] + *[data-macro-name] .expand-control-icon,
p.hidden-dir-p[style*="direction: rtl"] + *[data-macro-name] .expand-icon,
p.hidden-dir-p[style*="direction: rtl"] + *[data-macro-name] .expand-control-icon
{  
  transform:scaleX(-1);  
}  


/* ---------------------------------------------- 
Macros LTR
---------------------------------------------- */

/* Directionality */
p.hidden-dir-p[style*="direction:ltr"] + *[data-macro-name],
p.hidden-dir-p[style*="direction: ltr"] + *[data-macro-name]    
{  
  direction :ltr;  
}  

/* Alignment */
p.hidden-dir-p[style*="text-align:left"] + *[data-macro-name],
p.hidden-dir-p[style*="text-align: left"] + *[data-macro-name]    
{  
  text-align:left;  
}  
/* Icons within macros */
p.hidden-dir-p[style*="direction:ltr"] + *[data-macro-name] .expand-icon,
p.hidden-dir-p[style*="direction:ltr"] + *[data-macro-name] .expand-control-icon,
p.hidden-dir-p[style*="direction: ltr"] + *[data-macro-name] .expand-icon,
p.hidden-dir-p[style*="direction: ltr"] + *[data-macro-name] .expand-control-icon
{  
  transform:initial;  
}


/* ---------------------------------------------- 
Task Lists
---------------------------------------------- */
time {
   unicode-bidi: plaintext; 
}

p.task-list-hidden-dir-p {
   visibility: hidden;
   /*position: absolute;*/
}
p.task-list-hidden-dir-p  *{
   display: none;
   /*position: absolute;*/
}
ul.inline-task-list  > li[data-inline-task-id] 
{
   text-align:inherit;
   direction:inherit;
}

/* RTL */
p.task-list-hidden-dir-p[style*="direction:rtl"] + ul.inline-task-list > li[data-inline-task-id] > span ,
p.task-list-hidden-dir-p[style*="direction: rtl"] + ul.inline-task-list > li[data-inline-task-id] > span 
{
   text-align:right;
   direction:rtl;
   position:relative;
   right:calc(100% - -2em);

   /* background-color:yellow; */
}


p.task-list-hidden-dir-p[style*="direction:rtl"] +ul.inline-task-list > li > span ,
p.task-list-hidden-dir-p[style*="direction:rtl"] +ul.inline-task-list > li > span *,
p.task-list-hidden-dir-p[style*="direction: rtl"] +ul.inline-task-list > li > span ,
p.task-list-hidden-dir-p[style*="direction: rtl"] +ul.inline-task-list > li > span *
{
   direction :rtl;
   text-align:right;
}


p.task-list-hidden-dir-p[style*="direction:rtl"] + ul.inline-task-list  > li[data-inline-task-id],
p.task-list-hidden-dir-p[style*="direction: rtl"] + ul.inline-task-list  > li[data-inline-task-id] 

{
   text-align:right!important; /* handle justification of li in edit mode, which has no effect in view mode */
   direction:rtl;
   right:-100%;
   position:relative;
   width: calc(100% - 2em);

   /* background-color:lightcyan; */
}

p[style*="direction:rtl"] + ul.inline-task-list,
p[style*="direction: rtl"] + ul.inline-task-list  {
   padding-inline-start:0px;
   width: calc(100% - 2em);
   overflow:hidden;

}
/* LTR */
p.task-list-hidden-dir-p[style*="direction:ltr"] + ul.inline-task-list  > li[data-inline-task-id],
p.task-list-hidden-dir-p[style*="direction: ltr"] + ul.inline-task-list  > li[data-inline-task-id] 

{
   text-align:left!important; 
   direction:ltr!important;
}

p.task-list-hidden-dir-p[style*="direction:ltr"] +ul.inline-task-list > li > span ,
p.task-list-hidden-dir-p[style*="direction:ltr"] +ul.inline-task-list > li > span *,
p.task-list-hidden-dir-p[style*="direction: ltr"] +ul.inline-task-list > li > span ,
p.task-list-hidden-dir-p[style*="direction: ltr"] +ul.inline-task-list > li > span *
{
   direction: ltr!important;
    text-align: left!important;
}


/* RTL Sub Tasks */
p.task-list-hidden-dir-p[style*="direction:rtl"] + ul.inline-task-list  > li[data-inline-task-id]  ul.inline-task-list,
p.task-list-hidden-dir-p[style*="direction: rtl"] + ul.inline-task-list  > li[data-inline-task-id]  ul.inline-task-list 
{
   position: relative;
   right: calc(100% - 2em);
}

p[style*="direction:rtl"] + ul.inline-task-list  > li[data-inline-task-id]  ul.inline-task-list  li[data-inline-task-id],
p[style*="direction: rtl"] + ul.inline-task-list  > li[data-inline-task-id]  ul.inline-task-list  li[data-inline-task-id]
{
   margin-right: 22px;
   padding-right: 22px;
   position: relative;
   left: calc(100% - 2em);
}

p.task-list-hidden-dir-p[style*="direction:rtl"] + ul.inline-task-list  > li[data-inline-task-id]  ul.inline-task-list  li[data-inline-task-id] span,
p.task-list-hidden-dir-p[style*="direction: rtl"] + ul.inline-task-list  > li[data-inline-task-id]  ul.inline-task-list  li[data-inline-task-id] span
{
   position: relative;
   right: calc(100% - -2em);
}


/* ---------------------------------------------- 
Tables
---------------------------------------------- */
table.confluenceTable[style*="float:right"], 
table.confluenceTable[style*="float: right"]
{
   float:unset!important;
   margin-left:auto;
}